%define version 0.7
%define release 4mdk
%define name sftp
%define prefix %{_prefix}

Summary: sftp: a ftp-replacement over an rsh/ssh tunnel
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Networking/Remote access
Source: ftp://ftp.xbill.org/pub/sftp/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Url: http://www.xbill.org/sftp

%description
sftp is an ftp replacement that runs over an ssh tunnel. Two programs
are included - sftp and sftpserv. When sftp is run and a host is
connected to (either by running 'sftp remotehost' or 'open remotehost'
from the sftp prompt), an ssh connection is initiated to the remote
host, and sftpserv is run.

From within sftp, all of the normal ftp commands are present: open,
close, get, put, pwd, cd, ls, lcd, quit, etc. There's also exec, which runs
a program on the remote end.

%changelog
* Fri Sep 22 2000 Alexander Skwar <ASkwar@DigitalProjects.com> 0.7-4mdk
- Rebuild to have doc in /usr/share/doc
- A quiet setup

* Tue Apr 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.7-3mdk
- Make sure to compile with libreadline.
- Adjust groups.

* Tue Jan 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.7-2mdk
- Mandrake adaptations and some spec clean-up.

* Tue Jan 11 2000 Brian Wellington <bwelling@xbill.org>
- updated to 0.7

* Wed Dec 28 1999 Brian Wellington <bwelling@xbill.org>
- updated to 0.6

* Sun Dec 26 1999 Brian Wellington <bwelling@xbill.org>
- updated to 0.5

* Fri Nov 26 1999 Chris Green <sprout@dok.org>
- updated to 0.4

* Mon Nov 22 1999 Chris Green <sprout@dok.org>
- created spec

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q

%build
%configure
echo '#define HAVE_LIBREADLINE  1' >> config.h
%make LIBS="-lreadline -lncurses"

%install
mkdir -p $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}
cp sftp sftpserv $RPM_BUILD_ROOT%{_bindir}
ln -s sftp $RPM_BUILD_ROOT%{_bindir}/rsftp
cp sftp.1 $RPM_BUILD_ROOT%{_mandir}/man1

%files
%defattr(-,root,root)
%doc README Changelog
%attr(755,root,root) %{_bindir}/*
%attr(644,root,root) %{_mandir}/man1/*

%clean
rm -rf $RPM_BUILD_ROOT 

# end of file
